## ros-melodic-xmlrpcpp 1.14.10

=== test/CMakeLists.txt ===
catkin_add_gtest(xmlrpcvalue_base64 xmlrpcvalue_base64.cpp)
if(TARGET xmlrpcvalue_base64)
  target_link_libraries(xmlrpcvalue_base64 xmlrpcpp)
endif()

catkin_add_gtest(test_base64 test_base64.cpp)
if(TARGET test_base64)
  target_link_libraries(test_base64 xmlrpcpp)
endif()

if(WIN32)
  # On Windows, gtest can be built as shared (dll) or static (lib),
  # to simplify the problem, here we require to match BUILD_SHARED_LIBS we used
  if(BUILD_SHARED_LIBS)
    set_target_properties(test_base64 PROPERTIES COMPILE_DEFINITIONS "GTEST_LINKED_AS_SHARED_LIBRARY=1")
  endif()
endif()

# Some of the tests that follow use boost threads.
find_package(Boost REQUIRED COMPONENTS system thread)
include_directories(${Boost_INCLUDE_DIRS})

add_library(test_fixtures test_fixtures.cpp)
target_link_libraries(test_fixtures xmlrpcpp ${Boost_LIBRARIES} ${GTEST_LIBRARIES})
set_target_properties(test_fixtures PROPERTIES EXCLUDE_FROM_ALL TRUE)

catkin_add_gtest(HelloTest HelloTest.cpp)
if(TARGET HelloTest)
  target_link_libraries(HelloTest xmlrpcpp ${Boost_LIBRARIES})
endif()

catkin_add_gtest(test_dispatch_live test_dispatch_live.cpp)
if(TARGET test_dispatch_live)
  target_link_libraries(test_dispatch_live xmlrpcpp test_fixtures ${Boost_LIBRARIES})
endif()

catkin_add_gtest(test_ulimit test_ulimit.cpp)
if(TARGET test_ulimit)
  target_link_libraries(test_ulimit xmlrpcpp test_fixtures ${Boost_LIBRARIES})
endif()

add_library(mock_socket mock_socket.cpp)
target_link_libraries(mock_socket ${GTEST_LIBRARIES})
set_target_properties(mock_socket PROPERTIES EXCLUDE_FROM_ALL TRUE)

catkin_add_gtest(test_client
  test_client.cpp
  ../src/XmlRpcClient.cpp
  ../src/XmlRpcValue.cpp
  ../src/XmlRpcUtil.cpp
  ../src/XmlRpcDispatch.cpp
  ../src/XmlRpcSource.cpp
  ../libb64/src/cdecode.c
  ../libb64/src/cencode.c
)
if(WIN32)
  # build everything from source, undefine ROS_BUILD_SHARED_LIBS to eliminate the dllimport/dllexport attributes
  set_target_properties(test_client PROPERTIES COMPILE_FLAGS -UROS_BUILD_SHARED_LIBS)
endif()

if(TARGET test_client)
  target_link_libraries(test_client mock_socket ${catkin_LIBRARIES})
  if(WIN32)
    target_link_libraries(test_client ws2_32)
  endif()
endif()

catkin_add_gtest(test_dispatch
  test_dispatch.cpp
  ../src/XmlRpcDispatch.cpp
  ../src/XmlRpcSource.cpp
  ../src/XmlRpcUtil.cpp
  ../libb64/src/cdecode.c
  ../libb64/src/cencode.c
)
if(WIN32)
  # build everything from source, undefine ROS_BUILD_SHARED_LIBS to eliminate the dllimport/dllexport attributes
  set_target_properties(test_dispatch PROPERTIES COMPILE_FLAGS -UROS_BUILD_SHARED_LIBS)
endif()

if(TARGET test_dispatch)
  target_link_libraries(test_dispatch mock_socket ${catkin_LIBRARIES})
  if(WIN32)
    target_link_libraries(test_dispatch ws2_32)
  endif()

  if(APPLE)
    set_target_properties(test_dispatch PROPERTIES
      LINK_FLAGS
      "-Wl,-alias,___wrap_poll,_poll"
    )
  elseif(UNIX)
    set_target_properties(test_dispatch PROPERTIES
      LINK_FLAGS
      "-Wl,--wrap=poll"
    )
  endif()
endif()

if(NOT WIN32)
  catkin_add_gtest(test_socket
    test_socket.cpp
    test_system_mocks.c
    ../src/XmlRpcSocket.cpp
    ../src/XmlRpcUtil.cpp
  )
  if(APPLE)
    set_target_properties(test_socket PROPERTIES
      LINK_FLAGS
      "-Wl,-alias,___wrap_accept,_accept -Wl,-alias,___wrap_bind,_bind -Wl,-alias,___wrap_close,_close -Wl,-alias,___wrap_connect,_connect -Wl,-alias,___wrap_getaddrinfo,_getaddrinfo -Wl,-alias,___wrap_getsockname,_getsockname -Wl,-alias,___wrap_listen,_listen -Wl,-alias,___wrap_read,_read -Wl,-alias,___wrap_setsockopt,_setsockopt -Wl,-alias,___wrap_select,_select -Wl,-alias,___wrap_select,_select$1050 -Wl,-alias,___wrap_socket,_socket -Wl,-alias,___wrap_write,_write -Wl,-alias,___wrap_fcntl,_fcntl -Wl,-alias,___wrap_freeaddrinfo,_freeaddrinfo"
    )
  elseif(UNIX)
    set_target_properties(test_socket PROPERTIES
      LINK_FLAGS
      "-Wl,--wrap=accept -Wl,--wrap=bind -Wl,--wrap=close -Wl,--wrap=connect -Wl,--wrap=getaddrinfo -Wl,--wrap=getsockname -Wl,--wrap=listen -Wl,--wrap=read -Wl,--wrap=setsockopt -Wl,--wrap=select -Wl,--wrap=socket -Wl,--wrap=write -Wl,--wrap=fcntl -Wl,--wrap=freeaddrinfo"
    )
  endif()
endif()

catkin_add_gtest(TestValues TestValues.cpp)
if(TARGET TestValues)
  target_link_libraries(TestValues xmlrpcpp)
endif()

catkin_add_gtest(test_util test_util.cpp)
if(TARGET test_util)
  target_link_libraries(test_util xmlrpcpp)
endif()

catkin_add_gtest(TestXml TestXml.cpp)
if(TARGET TestXml)
  target_link_libraries(TestXml xmlrpcpp)
endif()

=== debian/changelog ===
ros-melodic-xmlrpcpp (1.14.10-1stretch) stretch; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Trap for overly large input to XmlRPCPP (#2065 <https://github.com/ros/ros_comm/issues/2065>)
  * Fix spelling (#2066 <https://github.com/ros/ros_comm/issues/2066>)
  * XmlRpcValue::_doubleFormat should be used during write (#2003 <https://github.com/ros/ros_comm/issues/2003>)
  * Contributors: Jacob Perron, Shane Loretz, Sid Faber, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.9-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Aug 2020 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.8-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Aug 2020 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.7-1stretch) stretch; urgency=high

  * add const versions of XmlRpcValue converting operators (#1978 <https://github.com/ros/ros_comm/issues/1978>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 31 Jul 2020 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.6-1stretch) stretch; urgency=high

  * check if enough FDs are free, instead counting the total free FDs (#1929 <https://github.com/ros/ros_comm/issues/1929>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 May 2020 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.5-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.4-1stretch) stretch; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * [Windows] workaround WSAPoll doesn't report failed connections (#1816 <https://github.com/ros/ros_comm/issues/1816>)
  * fix base64 decode error on ARM platforms (#1853 <https://github.com/ros/ros_comm/issues/1853>)
  * use c++11 std::snprintf (#1820 <https://github.com/ros/ros_comm/issues/1820>)
  * fix dead loop if accept connection error in XmlRpcServer (#1791 <https://github.com/ros/ros_comm/issues/1791>)
  * fix test build errors (#1723 <https://github.com/ros/ros_comm/issues/1723>)
  * fix base64 encode error (#1769 <https://github.com/ros/ros_comm/issues/1769>)
  * XmlRpcValue added bool assignment operator (#1709 <https://github.com/ros/ros_comm/issues/1709>)
  * add const indexer for xmlrpc (#1759 <https://github.com/ros/ros_comm/issues/1759>)
  * xmlrpcpp: fixed invalid zero index (#1631 <https://github.com/ros/ros_comm/issues/1631>)
  * avoid calling memcpy on NULL pointer with size 0 (#1546 <https://github.com/ros/ros_comm/issues/1546>)
  * revert "Revert "move the winsock2.h into cpp."" (#1588 <https://github.com/ros/ros_comm/issues/1588>)
  * visibility macros update (#1591 <https://github.com/ros/ros_comm/issues/1591>)
  * remove explicit -std=c++11, default to 14
  * fix test code build issues on Windows (#1479 <https://github.com/ros/ros_comm/issues/1479>)
  * fix issues when built or run on Windows (#1466 <https://github.com/ros/ros_comm/issues/1466>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Feb 2020 08:00:00 -0000

ros-melodic-xmlrpcpp (1.14.3-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Aug 2018 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.2-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.1-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.0-1stretch) stretch; urgency=high

  * fixes for OSX (#1402 <https://github.com/ros/ros_comm/issues/1402>)
  * take XmlRpcValue by *const* ref. in operator<< (#1350 <https://github.com/ros/ros_comm/issues/1350>)
  * fix various compiler warnings on bionic (#1325 <https://github.com/ros/ros_comm/issues/1325>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-xmlrpcpp (1.13.6-1stretch) stretch; urgency=high

  * fix xmlrpc timeout using monotonic clock (#1249 <https://github.com/ros/ros_comm/issues/1249>)
  * add tests and bug fixes for XmlRpcServer (#1243 <https://github.com/ros/ros_comm/issues/1243>)
  * add test and fix uninitialized data in XmlRpcClient (#1244 <https://github.com/ros/ros_comm/issues/1244>)
  * make xmlrpcpp specific include directory work in devel space (#1261 <https://github.com/ros/ros_comm/issues/1261>)
  * add base64 tests (#1242 <https://github.com/ros/ros_comm/issues/1242>)
  * add unit tests for XmlRpcDispatch (#1232 <https://github.com/ros/ros_comm/issues/1232>)
  * add unit tests and bug fixes for XmlRpcClient (#1221 <https://github.com/ros/ros_comm/issues/1221>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 08:00:00 -0000

ros-melodic-xmlrpcpp (1.13.5-1stretch) stretch; urgency=high

  * add unit tests and bug fixes for XmlRpcSocket (#1218 <https://github.com/ros/ros_comm/issues/1218>)
  * add tests for XmlRpcValue and XML conversion (#1216 <https://github.com/ros/ros_comm/issues/1216>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 08:00:00 -0000

ros-melodic-xmlrpcpp (1.13.4-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 07:00:00 -0000

ros-melodic-xmlrpcpp (1.13.3-1stretch) stretch; urgency=high

  * fix problem when configuring tests without gtest being available (#1197 <https://github.com/ros/ros_comm/issues/1197>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-melodic-xmlrpcpp (1.13.2-1stretch) stretch; urgency=high

  * use poll() in favor of select() in the XmlRPCDispatcher (#833 <https://github.com/ros/ros_comm/issues/833>)
  * fix fall through warnings with g++ 7 (#1139 <https://github.com/ros/ros_comm/issues/1139>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Aug 2017 07:00:00 -0000

ros-melodic-xmlrpcpp (1.13.1-1stretch) stretch; urgency=high



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-xmlrpcpp//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-xmlrpcpp 1.14.13

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -104,16 +104,18 @@
     ../src/XmlRpcSocket.cpp
     ../src/XmlRpcUtil.cpp
   )
-  if(APPLE)
-    set_target_properties(test_socket PROPERTIES
-      LINK_FLAGS
-      "-Wl,-alias,___wrap_accept,_accept -Wl,-alias,___wrap_bind,_bind -Wl,-alias,___wrap_close,_close -Wl,-alias,___wrap_connect,_connect -Wl,-alias,___wrap_getaddrinfo,_getaddrinfo -Wl,-alias,___wrap_getsockname,_getsockname -Wl,-alias,___wrap_listen,_listen -Wl,-alias,___wrap_read,_read -Wl,-alias,___wrap_setsockopt,_setsockopt -Wl,-alias,___wrap_select,_select -Wl,-alias,___wrap_select,_select$1050 -Wl,-alias,___wrap_socket,_socket -Wl,-alias,___wrap_write,_write -Wl,-alias,___wrap_fcntl,_fcntl -Wl,-alias,___wrap_freeaddrinfo,_freeaddrinfo"
-    )
-  elseif(UNIX)
-    set_target_properties(test_socket PROPERTIES
-      LINK_FLAGS
-      "-Wl,--wrap=accept -Wl,--wrap=bind -Wl,--wrap=close -Wl,--wrap=connect -Wl,--wrap=getaddrinfo -Wl,--wrap=getsockname -Wl,--wrap=listen -Wl,--wrap=read -Wl,--wrap=setsockopt -Wl,--wrap=select -Wl,--wrap=socket -Wl,--wrap=write -Wl,--wrap=fcntl -Wl,--wrap=freeaddrinfo"
-    )
+  if(TARGET test_socket)
+    if(APPLE)
+      set_target_properties(test_socket PROPERTIES
+        LINK_FLAGS
+        "-Wl,-alias,___wrap_accept,_accept -Wl,-alias,___wrap_bind,_bind -Wl,-alias,___wrap_close,_close -Wl,-alias,___wrap_connect,_connect -Wl,-alias,___wrap_getaddrinfo,_getaddrinfo -Wl,-alias,___wrap_getsockname,_getsockname -Wl,-alias,___wrap_listen,_listen -Wl,-alias,___wrap_read,_read -Wl,-alias,___wrap_setsockopt,_setsockopt -Wl,-alias,___wrap_select,_select -Wl,-alias,___wrap_select,_select$1050 -Wl,-alias,___wrap_socket,_socket -Wl,-alias,___wrap_write,_write -Wl,-alias,___wrap_fcntl,_fcntl -Wl,-alias,___wrap_freeaddrinfo,_freeaddrinfo"
+      )
+    elseif(UNIX)
+      set_target_properties(test_socket PROPERTIES
+        LINK_FLAGS
+        "-Wl,--wrap=accept -Wl,--wrap=bind -Wl,--wrap=close -Wl,--wrap=connect -Wl,--wrap=getaddrinfo -Wl,--wrap=getsockname -Wl,--wrap=listen -Wl,--wrap=read -Wl,--wrap=setsockopt -Wl,--wrap=select -Wl,--wrap=socket -Wl,--wrap=write -Wl,--wrap=fcntl -Wl,--wrap=freeaddrinfo"
+      )
+    endif()
   endif()
 endif()

=== debian/changelog ===
ros-melodic-xmlrpcpp (1.14.13-1bionic) bionic; urgency=high

  * Keep the persistent connection only if rosmaster supports http1.1 (#2208 <https://github.com/ros/ros_comm/issues/2208>)
  * Fix build when gtest is not available (#2177 <https://github.com/ros/ros_comm/issues/2177>)
  * Contributors: Chen Lihui, Jacob Perron, Wolfgang Merkt

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-melodic-xmlrpcpp (1.14.12-1bionic) bionic; urgency=high

  * Fix XMLRPC endless loop (#2186 <https://github.com/ros/ros_comm/issues/2186>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 21 Sep 2021 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.11-1bionic) bionic; urgency=high

  * Portable fix to recent Windows build breaks (#2110 <https://github.com/ros/ros_comm/issues/2110>)
  * Contributors: Sean Yen

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.10-1bionic) bionic; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Trap for overly large input to XmlRPCPP (#2065 <https://github.com/ros/ros_comm/issues/2065>)
  * Fix spelling (#2066 <https://github.com/ros/ros_comm/issues/2066>)
  * XmlRpcValue::_doubleFormat should be used during write (#2003 <https://github.com/ros/ros_comm/issues/2003>)
  * Contributors: Jacob Perron, Shane Loretz, Sid Faber, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.9-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Aug 2020 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.8-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Aug 2020 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.7-1bionic) bionic; urgency=high

  * add const versions of XmlRpcValue converting operators (#1978 <https://github.com/ros/ros_comm/issues/1978>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 31 Jul 2020 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.6-1bionic) bionic; urgency=high

  * check if enough FDs are free, instead counting the total free FDs (#1929 <https://github.com/ros/ros_comm/issues/1929>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 May 2020 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.5-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.4-1bionic) bionic; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * [Windows] workaround WSAPoll doesn't report failed connections (#1816 <https://github.com/ros/ros_comm/issues/1816>)
  * fix base64 decode error on ARM platforms (#1853 <https://github.com/ros/ros_comm/issues/1853>)
  * use c++11 std::snprintf (#1820 <https://github.com/ros/ros_comm/issues/1820>)
  * fix dead loop if accept connection error in XmlRpcServer (#1791 <https://github.com/ros/ros_comm/issues/1791>)
  * fix test build errors (#1723 <https://github.com/ros/ros_comm/issues/1723>)
  * fix base64 encode error (#1769 <https://github.com/ros/ros_comm/issues/1769>)
  * XmlRpcValue added bool assignment operator (#1709 <https://github.com/ros/ros_comm/issues/1709>)
  * add const indexer for xmlrpc (#1759 <https://github.com/ros/ros_comm/issues/1759>)
  * xmlrpcpp: fixed invalid zero index (#1631 <https://github.com/ros/ros_comm/issues/1631>)
  * avoid calling memcpy on NULL pointer with size 0 (#1546 <https://github.com/ros/ros_comm/issues/1546>)
  * revert "Revert "move the winsock2.h into cpp."" (#1588 <https://github.com/ros/ros_comm/issues/1588>)
  * visibility macros update (#1591 <https://github.com/ros/ros_comm/issues/1591>)
  * remove explicit -std=c++11, default to 14
  * fix test code build issues on Windows (#1479 <https://github.com/ros/ros_comm/issues/1479>)
  * fix issues when built or run on Windows (#1466 <https://github.com/ros/ros_comm/issues/1466>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Feb 2020 08:00:00 -0000

ros-melodic-xmlrpcpp (1.14.3-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Aug 2018 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.1-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.0-1bionic) bionic; urgency=high

  * fixes for OSX (#1402 <https://github.com/ros/ros_comm/issues/1402>)
  * take XmlRpcValue by *const* ref. in operator<< (#1350 <https://github.com/ros/ros_comm/issues/1350>)
  * fix various compiler warnings on bionic (#1325 <https://github.com/ros/ros_comm/issues/1325>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-xmlrpcpp (1.13.6-1bionic) bionic; urgency=high

  * fix xmlrpc timeout using monotonic clock (#1249 <https://github.com/ros/ros_comm/issues/1249>)
  * add tests and bug fixes for XmlRpcServer (#1243 <https://github.com/ros/ros_comm/issues/1243>)
  * add test and fix uninitialized data in XmlRpcClient (#1244 <https://github.com/ros/ros_comm/issues/1244>)
  * make xmlrpcpp specific include directory work in devel space (#1261 <https://github.com/ros/ros_comm/issues/1261>)
  * add base64 tests (#1242 <https://github.com/ros/ros_comm/issues/1242>)
  * add unit tests for XmlRpcDispatch (#1232 <https://github.com/ros/ros_comm/issues/1232>)
  * add unit tests and bug fixes for XmlRpcClient (#1221 <https://github.com/ros/ros_comm/issues/1221>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 08:00:00 -0000

ros-melodic-xmlrpcpp (1.13.5-1bionic) bionic; urgency=high

  * add unit tests and bug fixes for XmlRpcSocket (#1218 <https://github.com/ros/ros_comm/issues/1218>)


=== debian/control ===
Source: ros-melodic-xmlrpcpp
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-catkin, ros-melodic-cpp-common, ros-melodic-rostime (>= 0.6.9)
Homepage: http://xmlrpcpp.sourceforge.net
Standards-Version: 3.9.2

Package: ros-melodic-xmlrpcpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cpp-common, ros-melodic-rostime (>= 0.6.9)
Description: XmlRpc++ is a C++ implementation of the XML-RPC protocol.
 This version is heavily modified from the package available on SourceForge in order to support roscpp's threading model. As such, we are maintaining our own fork.
